Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-103500

Do not hide disk update validation errors

    XMLWordPrintable

Details

    Description

      The only thing that we were able to fix was traceback when editing Disk and submitting form with invalid value in New UI.

      ---

      Hi,

      I have a fresh install, mirrored USB drives and have created a RAID Z1 Pool. The only error I've gotten is that SMART won't start. I've read that disabling it on the USB's will fix the issue, but when I try to disable SMART on a USB drive I get an error to check logs.

      The log that changes when I do this is the /var/log/debug.log and the error seems to be this:
       

      Code:
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12] Traceback (most recent call last):
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/resources.py", line 369, in obj_update
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     return super(DiskResourceMixin, self).obj_update(bundle, skip_errors=skip_errors, **kwargs)
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "/usr/local/lib/python3.6/site-packages/tastypie/resources.py", line 2236, in obj_update
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     return self.save(bundle, skip_errors=skip_errors)
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/utils.py", line 480, in save
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     response_class=http.HttpConflict,
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12] tastypie.exceptions.ImmediateHttpResponse
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12] During handling of the above exception, another exception occurred:
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12] Traceback (most recent call last):
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/utils.py", line 252, in dispatch
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     request_type, request, *args, **kwargs
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "/usr/local/lib/python3.6/site-packages/tastypie/resources.py", line 482, in dispatch
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     response = method(request, **kwargs)
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/utils.py", line 363, in put_detail
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     updated_bundle = self.obj_update(bundle=bundle, **self.remove_api_resource_names(kwargs))
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/resources.py", line 371, in obj_update
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12]     raise ImmediateHttpResponse(response=HttpNotFound())
      Oct 15 09:43:02 freenas uwsgi: [api.utils:12] tastypie.exceptions.ImmediateHttpResponse

      Attachments

        Attachments

          JEditor

            Activity

              People

                vladimirv Vladimir Vinogradenko
                Led Zappa Shawn Duncan
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved: